pcl::UniqueShapeContext1960 Struct Reference
Module common

A point structure representing a Unique Shape Context. More...

`#include <pcl/impl/point_types.hpp>`

## Static Public Member Functions

static int | descriptorSize ()

## Public Attributes

float | descriptor [1960]
float | rf [9]

## Friends

std::ostream & | operator<< (std::ostream &os, const UniqueShapeContext1960 &p)

## Detailed Description

A point structure representing a Unique Shape Context.

Definition at line 1264 of file point_types.hpp.

## Member Function Documentation

## descriptorSize()

static int pcl::UniqueShapeContext1960::descriptorSize | ( |  | ) |

inline static

Definition at line 1268 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const UniqueShapeContext1960 & | p
| ) |  |

friend

## Member Data Documentation

## descriptor

float pcl::UniqueShapeContext1960::descriptor[1960]

Definition at line 1266 of file point_types.hpp.

Referenced by pcl::DefaultPointRepresentation< UniqueShapeContext1960 >::copyToFloatArray().

## rf

float pcl::UniqueShapeContext1960::rf[9]

Definition at line 1267 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp